Update Task
curl --request PUT \
--url https://api.decodahealth.com/task/{task_id} \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TENANT: <tenant>' \
--data '
{
"title": "<string>",
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"patientId": "<string>",
"assigneeId": "<string>",
"teamId": "<string>",
"locationId": "<string>"
}
'import requests
url = "https://api.decodahealth.com/task/{task_id}"
payload = {
"title": "<string>",
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"patientId": "<string>",
"assigneeId": "<string>",
"teamId": "<string>",
"locationId": "<string>"
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
startDate: '2023-11-07T05:31:56Z',
dueDate: '2023-11-07T05:31:56Z',
patientId: '<string>',
assigneeId: '<string>',
teamId: '<string>',
locationId: '<string>'
})
};
fetch('https://api.decodahealth.com/task/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"status": "OPEN",
"priority": "URGENT",
"creatorId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"patientId": "<string>",
"opportunityId": "<string>",
"assigneeId": "<string>",
"teamId": "<string>",
"locationId": "<string>",
"targetNoteId": "<string>",
"targetFaxId": "<string>",
"targetDocumentId": "<string>",
"sourceNoteId": "<string>",
"completedById": "<string>",
"completedDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"patient": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"assignee": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"team": {
"id": "<string>",
"name": "<string>"
},
"creator": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"carePlan": {
"carePlanId": "<string>",
"stepNumber": 123,
"carePlanName": "<string>",
"status": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tasks
Update Task
Update a task.
PUT
/
task
/
{task_id}
Update Task
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Body
application/json
The title of the task
Minimum string length:
1Detailed description of the task
The status of the task
Available options:
OPEN, IN_PROGRESS, COMPLETED, CANCELLED The priority of the task
Available options:
URGENT, HIGH, NORMAL, LOW When the task should appear on the list
When the task is due
The patient this task is linked to
The provider assigned to this task
The team to assign this task to for load-balanced resolution
The location this task is associated with
Response
Successful Response
Available options:
OPEN, IN_PROGRESS, COMPLETED, CANCELLED Available options:
URGENT, HIGH, NORMAL, LOW Minimal patient reference for task display (id and name only).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Minimal team reference for task display.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Minimal care-plan step reference for task/event display.
Show child attributes
Show child attributes

